Skip to navigation

Get PDF documents from template

View as Markdown

This method retrieves one or more PDF documents from the template that you specify.

You can specify the ID of the document to retrieve, or pass in the value combined to retrieve all documents in the template as a single PDF file.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

documentIdstringRequired

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).

Tab objects have a documentId property that specifies the document on which to place the tab.

templateIdstringRequired
The ID of the template.

Query parameters

encryptstringOptional

When true, the PDF bytes returned in the response are encrypted for all the key managers configured on your Docusign account. You can decrypt the documents by using the Key Manager DecryptDocument API method. For more information about Key Manager, see the Docusign Security Appliance Installation Guide that your organization received from Docusign.

file_typestringOptional
show_changesstringOptional

When true, any document fields that a recipient changed are highlighted in yellow in the returned PDF document, and optional signatures or initials are outlined in red.

Response

Successful response.

Errors

400
Bad Request Error